## python-aioqsw 0.4.1

=== requirements.txt ===
aiohttp>=3.9.0b0;python_version>='3.12'
aiohttp<=3.8.5;python_version<'3.12'

=== debian/changelog ===
python-aioqsw (0.4.1-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 11:09:23 +0200

python-aioqsw (0.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1078872)

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Aug 2024 12:52:22 +0200

=== debian/control ===
Source: python-aioqsw
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioqsw
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioqsw.git
Homepage: https://github.com/Noltari/aioqsw

Package: python3-aioqsw
Architecture: all
Depends:
 python3-aiohttp,
 ${misc:Depends},
 ${python3:Depends},
Description: library to control QNAP QSW devices
 This package provides a Python library to control QNAP QSW devices.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/Noltari/aioqsw.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aioqsw/aioqsw-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
